curl --request POST \
--url https://{command_center_host}/api/v1/scenarios/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "",
"tags": [],
"hosts": [],
"agents": [],
"vars": {},
"ticket_title": "",
"ticket_body": "",
"prepare": [],
"validation": [],
"restore": [],
"status": "draft",
"id": "<string>",
"agent_hosts": {},
"agent_info": {},
"org_id": "<string>",
"tenant_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
'import requests
url = "https://{command_center_host}/api/v1/scenarios/{id}"
payload = {
"title": "<string>",
"description": "",
"tags": [],
"hosts": [],
"agents": [],
"vars": {},
"ticket_title": "",
"ticket_body": "",
"prepare": [],
"validation": [],
"restore": [],
"status": "draft",
"id": "<string>",
"agent_hosts": {},
"agent_info": {},
"org_id": "<string>",
"tenant_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '',
tags: [],
hosts: [],
agents: [],
vars: {},
ticket_title: '',
ticket_body: '',
prepare: [],
validation: [],
restore: [],
status: 'draft',
id: '<string>',
agent_hosts: {},
agent_info: {},
org_id: '<string>',
tenant_id: '<string>',
created_at: '<string>',
updated_at: '<string>'
})
};
fetch('https://{command_center_host}/api/v1/scenarios/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "scn_af30b030-...",
"title": "nginx down",
"description": "<string>",
"tags": [
"<string>"
],
"ticket_title": "<string>",
"ticket_body": "<string>",
"vars": {},
"prepare": [
{}
],
"restore": [
{}
],
"validation": [
{
"label": "<string>",
"validator": "pattern_match",
"pattern": "<string>",
"where": "task_summary",
"required": true,
"negate": true
}
],
"status": "draft",
"hosts": [
"web-01"
],
"agents": [
"agent-linux-1"
],
"agent_hosts": {},
"agent_info": {},
"org_id": "org_460b541c-...",
"tenant_id": "ten_115bea44-...",
"created_at": "2026-08-26T10:00:26.380Z",
"updated_at": "2026-08-26T10:00:26.380Z"
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}Update a scenario
The body is the whole document, not a patch: steps and targets are ordered. Every save records a version.
Authorizations
An API key minted in Command Center (Settings -> API Keys), sent as Authorization: Bearer 2501_ak_.... A Command Center session cookie is also accepted.
Path Parameters
Body
1111Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
draft, published, disabled Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
The updated scenario
"scn_af30b030-..."
"nginx down"
Show child attributes
Show child attributes
Ordered shell commands, each { run, on? }, in the shape POST /api/v1/scenarios accepts.
Show child attributes
Show child attributes
Ordered shell commands, each { run, on? }, in the shape POST /api/v1/scenarios accepts.
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Show child attributes
Show child attributes
draft, published, disabled ["web-01"]
["agent-linux-1"]
Agent name to the host it is attached to
Show child attributes
Show child attributes
Show child attributes
Show child attributes
"org_460b541c-..."
"ten_115bea44-..."
"2026-08-26T10:00:26.380Z"
"2026-08-26T10:00:26.380Z"

